petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMLabelGetValue

Return the value a label assigns to a point, or the label's default value (which is initially -1, and can be changed with DMLabelSetDefaultValue())

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetValue(DMLabel label, PetscInt point, PetscInt *value)

Not collective

### Input Parameters

| label | - the DMLabel
| point | - the point

### Output Parameter

value -The point value, or the default value (-1 by default)

### See Also

DMLabelCreate(), DMLabelSetValue(), DMLabelClearValue(), DMLabelGetDefaultValue(), DMLabelSetDefaultValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c

### Examples

src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
src/ts/examples/tutorials/ex11.c.html
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages